package com.sundot.airport.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 检查项目对象 base_project
 *
 * @author ruoyi
 * @date 2025-07-11
 */
public class BaseProject extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Long revision;

    /**
     * 主键
     */
    private Long id;

    /**
     * 检查项目名称
     */
    @Excel(name = "检查项目名称")
    private String name;

    /**
     * 分类编码
     */
    @Excel(name = "分类编码")
    private String categoryCode;

    /**
     * 检查标准
     */
    @Excel(name = "检查标准")
    private String checkStandard;

    /**
     * 检查方法
     */
    @Excel(name = "检查方法")
    private String checkMethod;

    /**
     * 重要程度
     */
    @Excel(name = "重要程度")
    private String importance;

    /**
     * 状态(0=启用,1=停用)
     */
    @Excel(name = "状态(0=启用,1=停用)")
    private Long status;

    /**
     * 分类名称
     */
    @Excel(name = "分类名称")
    private String categoryName;

    /**
     * 编码
     */
    @Excel(name = "编码")
    private String code;

    /**
     * 重要程度名称
     */
    @Excel(name = "重要程度名称")
    private String importanceDesc;

    /**
     * 检查级别
     */
    @Excel(name = "检查级别")
    private String checkLevel;

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Long revision) {
        this.revision = revision;
    }

    public Long getRevision() {
        return revision;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCheckStandard(String checkStandard) {
        this.checkStandard = checkStandard;
    }

    public String getCheckStandard() {
        return checkStandard;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setImportance(String importance) {
        this.importance = importance;
    }

    public String getImportance() {
        return importance;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setImportanceDesc(String importanceDesc) {
        this.importanceDesc = importanceDesc;
    }

    public String getImportanceDesc() {
        return importanceDesc;
    }

    public void setCheckLevel(String checkLevel) {
        this.checkLevel = checkLevel;
    }

    public String getCheckLevel() {
        return checkLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tenantId", getTenantId())
                .append("revision", getRevision())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("id", getId())
                .append("name", getName())
                .append("categoryCode", getCategoryCode())
                .append("checkStandard", getCheckStandard())
                .append("checkMethod", getCheckMethod())
                .append("importance", getImportance())
                .append("status", getStatus())
                .append("categoryName", getCategoryName())
                .append("remark", getRemark())
                .append("code", getCode())
                .append("importanceDesc", getImportanceDesc())
                .append("checkLevel", getCheckLevel())
                .toString();
    }
}
